<?php
/**
 * Core functions
 *
 * @package Magazine_Power
 */

if ( ! function_exists( 'magazine_power_get_option' ) ) :

	/**
	 * Get theme option.
	 *
	 * @since 1.0.0
	 *
	 * @param string $key Option key.
	 * @return mixed Option value.
	 */
	function magazine_power_get_option( $key = '' ) {
		$default_options = magazine_power_get_default_theme_options();

		if ( empty( $key ) ) {
			return;
		}

		$default = ( isset( $default_options[ $key ] ) ) ? $default_options[ $key ] : '';

		$theme_options = (array) get_theme_mod( 'theme_options', $default_options );
		$theme_options = array_merge( $default_options, $theme_options );

		$value = '';

		if ( isset( $theme_options[ $key ] ) ) {
			$value = $theme_options[ $key ];
		}

		return $value;
	}

endif;

if ( ! function_exists( 'magazine_power_get_options' ) ) :

	/**
	 * Get all theme options.
	 *
	 * @since 1.0.0
	 *
	 * @return array Theme options.
	 */
	function magazine_power_get_options() {
		$value = array();
		$value = get_theme_mod( 'theme_options' );
		return $value;
	}

endif;
